WritablePath (groovy 2.4.6 API)
Date: 2016-02-18

Package: org.codehaus.groovy.runtime

## [Java] Class WritablePath

- org.codehaus.groovy.runtime.WritablePath

- All Implemented Interfaces and Traits:
    Path, Writable

      public class WritablePath

  A Writable Path.

  Authors:
    Paolo Di Tommaso
    John Wilson

- - ### Constructor Summary

    Constructors
    Constructor and description
    `WritablePath (Path delegate)`
    `WritablePath (Path delegate, String encoding)`

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `int` | `compareTo(Path other)`
    `boolean` | `endsWith(Path other)`
    `boolean` | `endsWith(String other)`
    `boolean` | `equals(Object other)`
    `Path` | `getFileName()`
    `FileSystem` | `getFileSystem()`
    `Path` | `getName(int index)`
    `int` | `getNameCount()`
    `Path` | `getParent()`
    `Path` | `getRoot()`
    `int` | `hashCode()`
    `boolean` | `isAbsolute()`
    `Iterator<Path>` | `iterator()`
    `Path` | `normalize()`
    `WatchKey` | `register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier... modifiers)`
    `WatchKey` | `register(WatchService watcher, WatchEvent.Kind<?>... events)`
    `Path` | `relativize(Path other)`
    `Path` | `resolve(Path other)`
    `Path` | `resolve(String other)`
    `Path` | `resolveSibling(Path other)`
    `Path` | `resolveSibling(String other)`
    `boolean` | `startsWith(Path other)`
    `boolean` | `startsWith(String other)`
    `Path` | `subpath(int beginIndex, int endIndex)`
    `Path` | `toAbsolutePath()`
    `File` | `toFile()`
    `Path` | `toRealPath(LinkOption... options)`
    `String` | `toString()`
    `URI` | `toUri()`
    `Writer` | `writeTo(Writer out)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Constructor Detail

    - #### public WritablePath(Path delegate)

    - #### public WritablePath(Path delegate, String encoding)

  - ### Method Detail

    - #### @Override public int compareTo(Path other)

    - #### @Override public boolean endsWith(Path other)

    - #### @Override public boolean endsWith(String other)

    - #### @Override public boolean equals(Object other)

    - #### @Override public Path getFileName()

    - #### @Override public FileSystem getFileSystem()

    - #### @Override public Path getName(int index)

    - #### @Override public int getNameCount()

    - #### @Override public Path getParent()

    - #### @Override public Path getRoot()

    - #### @Override public int hashCode()

    - #### @Override public boolean isAbsolute()

    - #### @Override public Iterator<Path> iterator()

    - #### @Override public Path normalize()

    - #### @Override public WatchKey register(WatchService watcher, WatchEvent.Kind<?>[] events, WatchEvent.Modifier... modifiers)

    - #### @Override public WatchKey register(WatchService watcher, WatchEvent.Kind<?>... events)

    - #### @Override public Path relativize(Path other)

    - #### @Override public Path resolve(Path other)

    - #### @Override public Path resolve(String other)

    - #### @Override public Path resolveSibling(Path other)

    - #### @Override public Path resolveSibling(String other)

    - #### @Override public boolean startsWith(Path other)

    - #### @Override public boolean startsWith(String other)

    - #### @Override public Path subpath(int beginIndex, int endIndex)

    - #### @Override public Path toAbsolutePath()

    - #### @Override public File toFile()

    - #### @Override public Path toRealPath(LinkOption... options)

    - #### @Override public String toString()

    - #### @Override public URI toUri()

    - #### public Writer writeTo(Writer out)